GermanStemFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.de.GermanStemFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.de
Class GermanStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.de.GermanStemFilter

All Implemented Interfaces:
  Closeable

    public final class GermanStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that stems German words.

It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a `GermanStemmer`).

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `KeywordMarkerFilter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`GermanStemFilter(org.apache.lucene.analysis.TokenStream in)` Creates a `GermanStemFilter` instance
`GermanStemFilter(org.apache.lucene.analysis.TokenStream in, Set<?> exclusionSet)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

Method Summary
`boolean` | `incrementToken()`
`void` | `setExclusionSet(Set<?> exclusionSet)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.
`void` | `setStemmer(GermanStemmer stemmer)` Set a alternative/custom `GermanStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GermanStemFilter

    public GermanStemFilter(org.apache.lucene.analysis.TokenStream in)

  Creates a `GermanStemFilter` instance

  Parameters:
    `in` - the source `TokenStream`

### GermanStemFilter

    @Deprecated
    public GermanStemFilter(org.apache.lucene.analysis.TokenStream in,
                                       Set<?> exclusionSet)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Builds a GermanStemFilter that uses an exclusion table.

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Returns:
    Returns true for next token in the stream, or false at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(GermanStemmer stemmer)

  Set a alternative/custom `GermanStemmer` for this filter.

### setExclusionSet

    @Deprecated
    public void setExclusionSet(Set<?> exclusionSet)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Set an alternative exclusion list for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD